Upstream information

CVE-2007-3285 at MITRE

Description

Mozilla Firefox before 2.0.0.5, when run on Windows, allows remote attackers to bypass file type checks and possibly execute programs via a (1) file:/// or (2) resource: URI with a dangerous extension, followed by a NULL byte (%00) and a safer extension, which causes Firefox to treat the requested file differently than Windows would.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 288115 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • MozillaFirefox-devel >= 31.7.0esr-0.8.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA MozillaFirefox-devel-31.7.0esr-0.8.1
SUSE Linux Enterprise Server 11 SP1
  • MozillaFirefox >= 3.5.9-0.1.1
  • MozillaFirefox-translations >= 3.5.9-0.1.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA MozillaFirefox-3.5.9-0.1.1
SUSE Linux Enterprise Server 11 SP2
  • MozillaFirefox >= 10.0-0.3.2
  • MozillaFirefox-translations >= 10.0-0.3.2
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA MozillaFirefox-10.0-0.3.2
SUSE Linux Enterprise Server 11 SP3
  • MozillaFirefox >= 17.0.4esr-0.10.42
  • MozillaFirefox-translations >= 17.0.4esr-0.10.42
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA MozillaFirefox-17.0.4esr-0.10.42
SUSE Linux Enterprise Server 11 SP4
  • MozillaFirefox >= 31.7.0esr-0.8.1
  • MozillaFirefox-devel >= 31.7.0esr-0.8.1
  • MozillaFirefox-translations >= 31.7.0esr-0.8.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA MozillaFirefox-31.7.0esr-0.8.1
SUSE Linux Enterprise Software Development Kit 11 SP4 GA MozillaFirefox-devel-31.7.0esr-0.8.1
openSUSE Tumbleweed
  • >=
Patchnames:
openSUSE-Tumbleweed-2024:10600
openSUSE-Tumbleweed-2024:10601


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Server 15-ESPOS MozillaFirefox Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 MozillaFirefox Already fixed
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 MozillaFirefox Already fixed
SUSE Enterprise Storage 6 MozillaFirefox Already fixed
SUSE Linux Enterprise Desktop 15 MozillaFirefox Already fixed
SUSE Linux Enterprise Desktop 15 MozillaThunderbird Already fixed
SUSE Linux Enterprise Desktop 15 SP1 MozillaFirefox Already fixed
SUSE Linux Enterprise Desktop 15 SP1 MozillaThunderbird Already fixed
SUSE Linux Enterprise High Performance Computing 15 MozillaFirefox Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 MozillaFirefox Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS MozillaFirefox Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS MozillaFirefox Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS MozillaFirefox Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS MozillaFirefox Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 MozillaFirefox Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 MozillaFirefox Already fixed
SUSE Linux Enterprise Server 15 MozillaFirefox Already fixed
SUSE Linux Enterprise Server 15 MozillaThunderbird Already fixed
SUSE Linux Enterprise Server 15 SP1 MozillaFirefox Already fixed
SUSE Linux Enterprise Server 15 SP1 MozillaThunderbird Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL MozillaFirefox Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS MozillaFirefox Already fixed
SUSE Linux Enterprise Server 15-LTSS MozillaFirefox Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 MozillaFirefox Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 MozillaThunderbird Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 MozillaFirefox Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 MozillaThunderbird Already fixed
SUSE Linux Enterprise Workstation Extension 15 MozillaThunderbird Already fixed
SUSE Linux Enterprise Workstation Extension 15 SP1 MozillaThunderbird Already fixed
SUSE Manager Proxy 4.0 MozillaFirefox Unsupported
SUSE Manager Retail Branch Server 4.0 MozillaFirefox Unsupported
SUSE Manager Server 4.0 MozillaFirefox Unsupported


SUSE Timeline for this CVE

CVE page created: Tue Jul 9 18:34:40 2013
CVE page last modified: Sat Jun 15 17:38:10 2024